org.wso2.carbon.dataservices.sql.driver.query

## Class ColumnInfo

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.query.ColumnInfo

-     public class ColumnInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnInfo(int id, String name, String tableName, int sqlType, int ordinal)`
    `ColumnInfo(String name)`
    `ColumnInfo(String name, int ordinal)`
    `ColumnInfo(String name, String tableName, int sqlType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAliasName()`
    `int` | `getId()`
    `String` | `getName()`
    `int` | `getOrdinal()`
    `int` | `getSqlType()`
    `String` | `getTableName()`
    `Object` | `getValue()`
    `void` | `setAliasName(String aliasName)`
    `void` | `setId(int id)`
    `void` | `setOrdinal(int ordinal)`
    `void` | `setSqlType(int sqlType)`
    `void` | `setTableName(String tableName)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnInfo

          public ColumnInfo(String name,
                            String tableName,
                            int sqlType)

    - #### ColumnInfo

          public ColumnInfo(String name,
                            int ordinal)

    - #### ColumnInfo

          public ColumnInfo(int id,
                            String name,
                            String tableName,
                            int sqlType,
                            int ordinal)

    - #### ColumnInfo

          public ColumnInfo(String name)

  - ### Method Detail

    - #### getAliasName

          public String getAliasName()

    - #### setAliasName

          public void setAliasName(String aliasName)

    - #### setTableName

          public void setTableName(String tableName)

    - #### setSqlType

          public void setSqlType(int sqlType)

    - #### getName

          public String getName()

    - #### getTableName

          public String getTableName()

    - #### getSqlType

          public int getSqlType()

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getValue

          public Object getValue()

    - #### setValue

          public void setValue(Object value)

    - #### getOrdinal

          public int getOrdinal()

    - #### setOrdinal

          public void setOrdinal(int ordinal)

Copyright © 2023 WSO2. All rights reserved.